Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Indices
  2. Create a new index

Create a new index

Creates a new custom index with the provided parameters. This endpoint is for creating custom indices only; preset indices are pre-generated and can be viewed using the list indices endpoint.

POST/v0/indices
Authorisations
AuthorizationString
Request Body
namestringrequired
Example: "NDVI"
descriptionstringrequired
Example: "This formula will give insights about vegetation"
rescaleinteger[]required
Example: [0,1]
expressionstringrequired
Example: "(B04-B08)/(B04+B08)"
colormapstringrequired
Example: "rplumbho"
satellite_idstringrequired
Example: "0002a3a3-00a2-4b55-842b-44d8202c6d60"
expression_typestringrequired
Example: "index"
Response
application/json
Created
bandsstring[]
Example: ["B01","B02","B03"]
colormapstring
Example: "rplumbho"
created_atstring
Example: "2022-11-14 12:55:49.125928+00:00"
descriptionstring
Example: "This formula will give insights about vegetation"
expressionstring
Example: "(B04-B08)/(B04+B08)"
expression_typestring
Example: "index"
idstring
Example: "e9767554-550e-4464-a677-b8cf096073ab"
namestring
Example: "NDVI"
rescaleinteger[]
Example: [0,1]
satellite_idstring
Example: "0002a3a3-00a2-4b55-842b-44d8202c6d60"
typestring
Example: "custom"
updated_atstring
Example: "2022-11-14 12:55:49.125928+00:00"
Create a new index
cURL
Python
Go
TypeScript
1curl -X POST 'https://api.pixxel.space/v0/indices' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "name": "NDVI",
6 "description": "This formula will give insights about vegetation",
7 "rescale": [
8 0,
9 1
10 ],
11 "expression": "(B04-B08)/(B04+B08)",
12 "colormap": "rplumbho",
13 "satellite_id": "0002a3a3-00a2-4b55-842b-44d8202c6d60",
14 "expression_type": "index"
15}'
Response:
{
"bands": [
"B01",
"B02",
"B03"
],
"colormap": "rplumbho",
"created_at": "2022-11-14 12:55:49.125928+00:00",
"description": "This formula will give insights about vegetation",
"expression": "(B04-B08)/(B04+B08)",
"expression_type": "index",
"id": "e9767554-550e-4464-a677-b8cf096073ab",
"name": "NDVI",
"rescale": [
0,
1
],
"satellite_id": "0002a3a3-00a2-4b55-842b-44d8202c6d60",
"type": "custom",
"updated_at": "2022-11-14 12:55:49.125928+00:00"
}
List all available indicesList visualizations for an AOI